org.apache.poi.ss.formula

## Interface TwoDEval

- All Superinterfaces:
    ValueEval
  All Known Subinterfaces:
    AreaEval, ThreeDEval
  All Known Implementing Classes:
    AreaEvalBase, CacheAreaEval

      public interface TwoDEval
      extends ValueEval

  Common interface of `AreaEval` and `AreaEvalBase`, for 2D (row+column) evaluations

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwoDEval` | `getColumn(int columnIndex)`
    `int` | `getHeight()`
    `TwoDEval` | `getRow(int rowIndex)`
    `ValueEval` | `getValue(int rowIndex, int columnIndex)`
    `int` | `getWidth()`
    `boolean` | `isColumn()`
    `boolean` | `isRow()`
    `boolean` | `isRowHidden(int rowIndex)`
    `boolean` | `isSubTotal(int rowIndex, int columnIndex)`

- - ### Method Detail

    - #### getValue

          ValueEval getValue(int rowIndex,
                             int columnIndex)

      Parameters:
        `rowIndex` - relative row index (zero based)
        `columnIndex` - relative column index (zero based)
      Returns:
        element at the specified row and column position

    - #### getWidth

          int getWidth()

    - #### getHeight

          int getHeight()

    - #### isRow

          boolean isRow()

      Returns:
        `true` if the area has just a single row, this also includes the trivial case when the area has just a single cell.

    - #### isColumn

          boolean isColumn()

      Returns:
        `true` if the area has just a single column, this also includes the trivial case when the area has just a single cell.

    - #### getRow

          TwoDEval getRow(int rowIndex)

      Parameters:
        `rowIndex` - relative row index (zero based)
      Returns:
        a single row `TwoDEval`

    - #### getColumn

          TwoDEval getColumn(int columnIndex)

      Parameters:
        `columnIndex` - relative column index (zero based)
      Returns:
        a single column `TwoDEval`

    - #### isSubTotal

          boolean isSubTotal(int rowIndex,
                             int columnIndex)

      Returns:
        true if the cell at row and col is a subtotal

    - #### isRowHidden

          boolean isRowHidden(int rowIndex)

      Parameters:
        `rowIndex` -
      Returns:
        true if the row is hidden
      See Also:
        `Subtotal`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.